#include <lib/std.mi>

Function newSetVolume(int x, int y);

Global Group thisGroup;
Global AnimatedLayer volumeLayer;
Global Button playButton, pauseButton;
Global Int volFlag, oldvolume;
Global Map volmap;

newSetVolume(int x, int y) {
  int val = volmap.getValue(x, y);

  if(val > oldvolume + 20) return;
  if(val < oldvolume - 20) return;

  setvolume(val);

  oldvolume = val;
}

System.onScriptLoaded() {
  thisGroup = getScriptGroup();

  playButton = thisGroup.getObject("Play Button OFF");
  pauseButton = thisGroup.getObject("Pause Button OFF");

  volmap = new map;
  volmap.loadmap("player.volume.map");

  volumeLayer = thisGroup.getObject("volume.layer");

  volFlag = 0;
  oldvolume = getVolume();
  onVolumeChanged(oldvolume);

  if(getStatus() == STATUS_PLAYING) {
    playButton.hide();
    pauseButton.show();
    
  } else {
    playButton.show();
    pauseButton.hide();
    
  }
}

volumeLayer.onLeftButtonDown(int x, int y) {
  volFlag = 1;

  //newSetVolume(x - volumeLayer.getLeft(), y - volumeLayer.getTop());
}

volumeLayer.onLeftButtonUp(int x, int y) {
  volFlag = 0;
}

volumeLayer.onMouseMove(int x, int y) {
  if(volFlag == 1) {
    newSetVolume(x - volumeLayer.getLeft(), y - volumeLayer.getTop());
  }
}

System.onVolumeChanged(int val) {
  int f = val / 15;

  if(f > 16) f = 16;

  volumeLayer.gotoFrame(f);
}

System.onPlay() {
  playButton.hide();
  pauseButton.show();
  
}

System.onResume() {
  playButton.hide();
  pauseButton.show();
  
}

System.onPause() {
  playButton.show();
  pauseButton.hide();
  
}

System.onStop() {
  playButton.show();
  pauseButton.hide();
  
}
